import { Component, ViewChild, ViewEncapsulation } from '@angular/core';
import { ToolbarComponent, Toolbar, ClickEventArgs } from '@syncfusion/ej2-angular-navigations';
import { Tooltip } from '@syncfusion/ej2-popups';
/**
 * Default Toolbar Component
 */
@Component({
  selector: 'app-root',
  templateUrl: 'app.component.html',
  styleUrls: ['app.component.css'],
  encapsulation: ViewEncapsulation.None
})
export class AppComponent {
  toolbar: Toolbar = new Toolbar({
    items: [
      { text: "Home", click: this.click, id: 'home' },
      { text: "My Home Page", align: 'Center' },
      { text: "Search", align: 'Right' },
      { text: "Settings", align: 'Right' }
    ],
    clicked: this.clicked.bind(this)
  });

  ngAfterViewInit() {
    this.toolbar.appendTo('#Toolbar');
  }

  public clicked(clickEventArgs: ClickEventArgs) {
    console.log('toolbar click');
  }

  click() {
    console.log('item click');
  }

  disable() {
    this.toolbar.enableItems(document.getElementById('home'), false);
  }

  constructor() { }
}